use gtk::prelude::*;

pub async fn window_identifier(widget: &impl IsA<gtk::Widget>) -> Option<ashpd::WindowIdentifier> {
    match widget.native() {
        Some(native) => ashpd::WindowIdentifier::from_native(&native).await,
        None => None,
    }
}
